<?php 
session_start();
ob_start(); 
include "header.php";
//$objIms->Semifinisheditem_alter();

function callvalue($sale_no,$val)
{
    $sql_viewtmp="select sum((pur_qty*pur_price)-((pur_qty*pur_price*discount)/100)) as taxvalue from view_pur_masdet where session_login_id = '".$_SESSION['login_id']."' and  order_no='$sale_no' and igst='$val' group by supplier_id";
				$res_viewtmp=mysql_query($sql_viewtmp);
				$rsw=mysql_fetch_array($res_viewtmp);
				if(isset($rsw["taxvalue"]))
				{
				$showamt=$rsw["taxvalue"];
				}
				else
				{
				 $showamt=0;
				}
				 
				return $showamt;
}

function callvaluetotal($s_date,$end_date,$supplier_id,$val)
{
   $sql_viewtmp="select sum((pur_qty*pur_price)-((pur_qty*pur_price*discount)/100)) as taxvalue from view_pur_masdet where session_login_id = '".$_SESSION['login_id']."' and  purchase_date>='$s_date' and purchase_date<='$end_date' and supplier_id='$supplier_id' and igst='$val' group by supplier_id";
				$res_viewtmp=mysql_query($sql_viewtmp);
				$rsw=mysql_fetch_array($res_viewtmp);
				if(isset($rsw["taxvalue"]))
				{
				$showamt=$rsw["taxvalue"];
				}
				else
				{
				 $showamt=0;
				}
				 
				return $showamt;
}


?>


	<script>
	$(document).ready(function() {
  $("#btnExport").click(function(e) {
    e.preventDefault();

    //getting data from our table
    var data_type = 'data:application/vnd.ms-excel';
    var table_div = document.getElementById('table_wrapper');
    var table_html = table_div.outerHTML.replace(/ /g, '%20');

    var a = document.createElement('a');
    a.href = data_type + ', ' + table_html;
    a.download = document.getElementById('rahul').value + '.xls';
    a.click();
  });
});
</script>


		 <style>
			select.error { background-color:#ffa8a8; border: 1px dotted red;  }
			input.error{ background-color:#ffa8a8;   }
			textarea.error{ background-color:#ffa8a8; border: 1px dotted red;  }
         </style>
		 
        


<style type="text/css">
<!--
.table_bg{ border:#CCCCCC solid 1px; border-radius:5px; height:auto; width:auto; padding:20px; margin-bottom:10px;}


-->
</style>

<script type="text/javascript">
 
function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents;

     window.print();

     document.body.innerHTML = originalContents;
}

</script>

<!-- Page wrapper  -->
        <div class="page-wrapper">
          
            <!-- Container fluid  -->
            <div class="container-fluid">
                <!-- Start Page Content -->
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
							
							<h3>GSTR2 B2B(Inter State) Report</h3>
							<hr />

<form name="form1" id="form1" method="post">
   <table id="example23" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
    <tr>
      <td width="6%" height="49" nowrap="nowrap"><strong>From Date </strong></td>
      <td width="1%"><strong>:</strong></td>
      <td width="15%"><input name="s_date" type="date" class="tcal form-control" id="s_date"   value="<?php if(isset($_POST["s_date"])){echo $_POST["s_date"];}else{echo date('d-m-Y');}?>"/></td>
      <td width="7%"><strong>To Date </strong></td>
      <td width="1%"><strong>:</strong></td>
      <td width="23%"><input name="end_date" type="date" class="tcal form-control" id="end_date"   value="<?php if(isset($_POST["end_date"])){echo $_POST["end_date"];}else{echo date('d-m-Y');}?>" /></td>
      
      <td width="22%"><input type="submit" name="Choose" value="Choose" class="btn btn-info" /></td>
      </tr>
  </table>
  
    <table id="example23" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
  <tr>
  <td width="39%"><div align="right">Supplier Name</div></td>
      <td width="19%">	    <div align="center">
	  
	      <select name="supplier_name" id="supplier_name" style="width:200px;"  class="required form-control">
	        <option value="">---Please Select---</option>
	        <?php $sdt = date('d-m-y', strtotime($_POST["s_date"]));
$s_date=$objIms->DateToInt($sdt);
$edt = date('d-m-y', strtotime($_POST["end_date"]));
$end_date=$objIms->DateToInt($edt);
							$sqlc="select supplier_id,supplier_name from view_pur_masdet where session_login_id = '".$_SESSION['login_id']."' and  purchase_date>='".$s_date."' and purchase_date<='".$end_date."' and igst>0 group by supplier_id";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?>
	        <option value="<?=$cs["supplier_id"];?>" <?php if(($cs["supplier_id"])==$_POST["supplier_name"]){ ?> selected="selected" <?php }?>>
	          <?=$cs["supplier_name"];?>
	          </option>
	        <?php }}?>
	            </select>
        </div></td>
	<td width="42%"><input type="submit" name="Search" value="Search" class="btn btn-info" /></td>
	</tr>
  </table>
  
</form>
<br />

<?php 
if(isset($_POST["Search"]))
{
/*$s_date=$objIms->DateToInt($_POST["s_date"]);
$end_date=$objIms->DateToInt($_POST["end_date"]);*/
$sdt = date('d-m-y', strtotime($_POST["s_date"]));
$s_date=$objIms->DateToInt($sdt);
$edt = date('d-m-y', strtotime($_POST["end_date"]));
$end_date=$objIms->DateToInt($edt);
$supplier_id=$_POST["supplier_name"];
$sqlqw="select * from tbl_supplier where session_login_id = '".$_SESSION['login_id']."' and id='$supplier_id' order by supplier_name";
							//echo $sqlc;
							$qw=mysql_query($sqlqw);							
							$rwqw=mysql_fetch_array($qw);
							$supplier_name=$rwqw["supplier_name"];

?>
     
       <input type="hidden" name="rahul" id="rahul" value="<?=$supplier_name?>" />     
		
            <?php 
				   $sql_viewtmp="select *,sum(((pur_qty*pur_price)-((pur_qty*pur_price*discount)/100))+(((pur_qty*pur_price)-((pur_qty*pur_price*discount)/100))*(igst/100))) as taxvalue from view_pur_masdet where session_login_id = '".$_SESSION['login_id']."' and  purchase_date>='$s_date' and purchase_date<='$end_date' and supplier_id='$supplier_id' and gstin<>'' group by supplier_id,order_no";
				$res_viewtmp=mysql_query($sql_viewtmp);
				if(mysql_num_rows($res_viewtmp)>0)
				{ 
					$i=1;
					$sums=0;
					$tottaxval=0;
					$totcgst=0;
					$totsgst=0;
					$totigst=0;
					?>
					<div id="table_wrapper">
					<div id="printableArea">
					<div class="panel">
					<div class="panel-heading">GSTR2 B2B (Intra State) Report For <strong><?=$supplier_name?></strong> From <?php echo $_POST["s_date"];?> To <?php echo $_POST["end_date"];?></div>
					<p>&nbsp;</p>
                     <table width="100%" class="table table-bordered">
                     <tr height="32" align="left">
            <th nowrap="nowrap" width="6%">Si No</th>
            <th nowrap="nowrap" width="24%">Purchase Date </th>
            <th nowrap="nowrap" width="35%">Order No </th>
            
            <th nowrap="nowrap" width="35%">GST No. </th>
            
           
            
            <th nowrap="nowrap" width="18%">Purchase Value </th>
            <?php $sqlc="SELECT distinct igst FROM  tbl_purchase_details where session_login_id = '".$_SESSION['login_id']."' order by igst";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?>
            <th nowrap="nowrap" width="18%">Taxable value @
              <?=$cs["igst"];?></th>
			<?php }}?>
                     </tr>
            <?php
				while($rows=mysql_fetch_assoc($res_viewtmp))
					{
					$item_id=$rows["item_id"];	
					$unit_id=$rows["unit_id"];
					$supplier_id=$rows["supplier_id"];	
						
					$sql_it="select * from tbl_item where id='$item_id' and session_login_id = '".$_SESSION['login_id']."'";
				$res_it=mysql_query($sql_it);
				$rsit=mysql_fetch_array($res_it);
					
					$sql_ut="select * from tbl_unit where id='$unit_id' and session_login_id = '".$_SESSION['login_id']."'";
				$res_ut=mysql_query($sql_ut);
				$rsut=mysql_fetch_array($res_ut);
				
					
			?>
           
            <tr height="32">
            <td nowrap="nowrap" width="6%"><?php echo $i++;?></td>
           
		    <td nowrap="nowrap" width="24%"><?php echo $objIms->IntToDate($rows["stampdate"]);?></td>
		    
		    <td nowrap="nowrap" width="35%"><?php echo $rows["order_no"];?></td>		    
            <td nowrap="nowrap" width="35%"><?php echo $rows["gstin"];?></td>
            
            
            <td nowrap="nowrap" width="18%"><?php echo $taxval=round($rows["taxvalue"]);$tottaxval+=$taxval;?></td>
            
           <?php $sqlc="SELECT distinct igst FROM  tbl_purchase_details where session_login_id = '".$_SESSION['login_id']."' order by igst";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?> <td nowrap="nowrap" width="18%"><?php echo $igstval=round(callvalue($rows["order_no"],$cs["igst"]),2);$totigst+=$igstval;?></td>
             <?php }}?>
            </tr>
            
            <?php }?>
			<tr height="32">
              <td colspan="4" nowrap="nowrap"><div align="right"><strong>Total : </strong></div></td>
              <td nowrap="nowrap"><strong><?php echo $tottaxval;?></strong></td>
              
              <?php $sqlc="SELECT distinct igst FROM  tbl_purchase_details where session_login_id = '".$_SESSION['login_id']."' order by igst";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?> <td nowrap="nowrap"><strong><?php echo round(callvaluetotal($s_date,$end_date,$supplier_id,$cs["igst"]),2);?></strong></td>
              <?php }}?>
            </tr>   
           </table>
		   </div>
		   </div>
		   </div>
    <?php }
	else
	{
	echo '<span style="color:#FF0000">No Data Found</span>';
	}
	}?>
	
		

   
<p></p>
		<br />
        


</div>
<br />

<div align="center"><span class="btn btn-info" onClick="printDiv('printableArea')">Print</span> &nbsp;&nbsp;<button id="btnExport" class="btn btn-success">Export to Excel</button></div>
</div>
                    </div>
                </div>
                <!-- End PAge Content -->
            </div>
            <!-- End Container fluid  -->
<?php include 'footer.php' ?>

	<script>
	$(document).ready(function() {
  $("#btnExport").click(function(e) {
    e.preventDefault();

    //getting data from our table
    var data_type = 'data:application/vnd.ms-excel';
    var table_div = document.getElementById('table_wrapper');
    var table_html = table_div.outerHTML.replace(/ /g, '%20');

    var a = document.createElement('a');
    a.href = data_type + ', ' + table_html;
    a.download = document.getElementById('rahul').value + '.xls';
    a.click();
  });
});
</script>
 <script src="../js/lib/datatables/datatables.min.js"></script>
    <script src="../js/lib/datatables/cdn.datatables.net/buttons/1.2.2/js/dataTables.buttons.min.js"></script>
    <script src="../js/lib/datatables/cdn.datatables.net/buttons/1.2.2/js/buttons.flash.min.js"></script>
    <script src="../js/lib/datatables/cdnjs.cloudflare.com/ajax/libs/jszip/2.5.0/jszip.min.js"></script>
    <script src="../js/lib/datatables/cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/pdfmake.min.js"></script>
    <script src="../js/lib/datatables/cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/vfs_fonts.js"></script>
    <script src="../js/lib/datatables/cdn.datatables.net/buttons/1.2.2/js/buttons.html5.min.js"></script>
    <script src="../js/lib/datatables/cdn.datatables.net/buttons/1.2.2/js/buttons.print.min.js"></script>
    <script src="../js/lib/datatables/datatables-init.js"></script>